<div class="row mb-2 mb-md-0" *ngIf="eventgroup">
  <div class="col-md-8">
    <h4 class="page-title" >{{ eventgroup.title }}</h4>
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item" *ngIf="eventgroup.project.status != 'past'"><a routerLink="/projects">Projekte</a></li>
        <li class="breadcrumb-item" *ngIf="eventgroup.project.status == 'past'"><a routerLink="/projects/past">Vergangene Projekte</a></li>
        <li class="breadcrumb-item"><a routerLink="/projects/{{eventgroup.project.id}}/ensembles/{{ensembleId}}">{{eventgroup.project.name}}</a></li>
        <li class="breadcrumb-item active" aria-current="page">{{eventgroup.title}}</li>
      </ol>
    </nav>
  </div>
  <div class="col-md-4">
    <div class="btn-group float-right" role="group">
      <button type="button" class="btn btn-outline-info" (click)="sendReminder()" *ngIf="isProjectManager && eventgroup.project.status != 'past'"><i class="fas fa-envelope"></i></button>
      <button type="button" class="btn btn-outline-info" routerLink="settings"
              tooltip="Projekt bearbeiten" [delay]="500" *ngIf="isProjectEditor">
        <i class="fas fa-cog"></i>
      </button>
      <button type="button" class="btn btn-outline-info" routerLink="stats"
              *ngIf="isProjectManager"><i class="fas fa-chart-line"></i></button>
      <button type="button" class="btn btn-outline-info" (click)="getPdf()"><i class="fas fa-file-pdf"></i></button>
    </div>
  </div>
</div>
<form #f="ngForm">
  <div class="row" *ngIf="eventgroup">
    <div class="col-md-6 mb-3">
      <div class="card">
        <div class="card-heading">
          <h5>Probenphasendetails</h5>
        </div>
        <div class="card-body" *ngIf="eventgroup.project.status != 'past'">
          <eos-announcement-button
              [mode]="'eventgroup'"
              [eventgroup]="eventgroup"
              [project]="eventgroup.project"
              [ensembleId]="ensembleId"
              (announcementChanged)="announcementChanged()"
          ></eos-announcement-button>
        </div>
        <div class="card-body" *ngIf="eventgroup.description != ''">
          <h5 class="card-title" >
            Beschreibung:
          </h5>
          <p class="card-text" [innerHTML]="eventgroup.description"></p>
        </div>
        <div class="card-body">
          <h5 class="card-title">
            Daten:
          </h5>
          <span>Zeitraum: {{eventgroup.start | date: 'shortDate'}}
            - {{eventgroup.end | date: 'shortDate'}}</span>
          <br>
          <span *ngIf="eventgroup.deadline">Anmeldedeadline: {{eventgroup.deadline | date: 'short'}} Uhr</span>
        </div>
        <div class="card-body" *ngIf="eventgroup.address">
          <b>{{eventgroup.title}} findet statt in:</b> <br>
          <div>
            {{eventgroup.address.street}} {{eventgroup.address.number}} <br>
            {{eventgroup.address.postalCode}} {{eventgroup.address.city}} <br>
            {{eventgroup.address.country}} <br>
            {{eventgroup.address.custom}}
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <eos-event-card [events]="events" [eventgroup]="eventgroup" [project]="eventgroup.project"></eos-event-card>
    </div>
  </div>
</form>

